Bug 1889454 - Container restarts don't remove stale container files
Summary: Container restarts don't remove stale container files
Keywords:
Status: ASSIGNED
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: puppet-tripleo
Version: 16.1 (Train)
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: async
: 16.1 (Train on RHEL 8.2)
Assignee: RHOS Maint
QA Contact: David Rosenfeld
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-10-19 17:26 UTC by Lance Bragstad
Modified: 2020-10-20 14:04 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
OpenStack gerrit 756874 None ABANDONED Switch purge on for /etc/keystone/domains 2020-10-29 09:22:52 UTC

Description Lance Bragstad 2020-10-19 17:26:16 UTC
Description of problem:


TripleO allows users to configure domain-specific backends via the KeystoneLDAPBackendConfigs THT parameter. These options end up being configuration values in a file mounted into the container (/etc/keystone/domain/keystone.$DOMAIN.conf).

If the end users attempts to remove the configuration file by renaming it on the host and restarting the container, the original file is still present in the container.


How reproducible:

100%

Steps to Reproduce:
1. Deploy the overcloud with a domain-specific backend
2. Update the domain configuration file on the controller to a different name (/var/lib/config-data/puppet-generated/keystone/etc/keystone/domains/keystone.AD.conf.bak).
3. Restart the keystone container
4. View the /etc/keystone/domains directory and verify the original domain configuration file is still present

Actual results:

The /etc/keystone/domains directory in the container contains stale configuration files.

Expected results:

The contents of /etc/keystone/domains maps to /var/lib/config-data/puppet-generated/keystone/etc/keystone/domains/

Comment 2 Lance Bragstad 2020-10-19 17:28:13 UTC
I talked to the tripleo community and we tried a quick patch to see if if helped [0], but it was unsuccessful in removing stale files.

We may be able to pick-up this approach and iterate on it, though.

[0] https://review.opendev.org/#/c/756874/


Note You need to log in before you can comment on or make changes to this bug.